> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/kzp_mit_parameter_starten/kzp_designer.md).

# Additional ACRON Designer command line parameters

In addition to the default command line parameters, you can also use the following parameters:

|    |               |                                                                                                    |
| -- | ------------- | -------------------------------------------------------------------------------------------------- |
| -n | \<Multistart> | Multiple start Starts another instance of ACRON Designer, even if the Designer is already running. |

To import external variables and process variables:

|    |                                     |                                                                                                                                                                                                                                                                                           |
| -- | ----------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| -f | \<path\ImportFile>                  |                                                                                                                                                                                                                                                                                           |
| -m | \<importparameter>                  | 'E' for external variables\* 'P' for process variables\*\*                                                                                                                                                                                                                                |
| -r | \<identification (Provider number)> | Optional \* The parameter -r defines the Provider into which the external variables are to be imported. \*\* The parameter -r defines the Provider in which any possibly missing external variables for auto variables are to be created (only in case of 1:1 assignment in the formula). |

Note

Take great care to use the correct case during parameter input, as entries are case-sensitive.

Preconditions:

* No Designer instance may be active.
* The ACRON database server of the plant must be running.
* The plant selected via the plant identification must be of the correct version.
* The plant must be free of errors.
* If you do not specify an identification (Provider number; parameter -r) when importing external variables, \*external variables and \*\*process variables will be imported into the 'Automatically generated variables' group under '[Variables for manual variables](/acron-9.3/en/anlagenkonfiguration/prozessanbindung/variablen-f-hg.md)'.
* If the import was completed without error, the changed configuration is saved. In the event of an error, the import is canceled and a relevant entry is made in the Designer log file.

## Examples of ACRON Designer command line parameters

Note

The ACRON Designer itself cannot be started with the transmitted login name, for security reasons.

`AcronDesigner.exe -pXYZ`

The ACRON Designer is opened with the data of plant XYZ.

`AcronDesigner.exe -x200 -y100 -w300 -h200`

The ACRON Designer main window is displayed at position 200,100 with the dimensions 300x200.

`AcronDesigner.exe -q`

A running ACRON Designer is closed.

`AcronDesigner.exe -pF1 -fc:\tmp\Imp_A.csv -mE -r1`

Imports external variables from the `Imp_A.csv` file under `c:\tmp` into Provider 1 of plant `F1`.

`AcronDesigner.exe -pF1 -fc:\tmp\Imp_B.csv -mP`

Imports process variables from the `Imp_B.csv` file under `\tmp` into plant `F1`. If the external variables linked to the process variables are missing, they are automatically created in the plant under '[Variables for manual variables](/acron-9.3/en/anlagenkonfiguration/prozessanbindung/variablen-f-hg.md)'.

Note

Take great care to use the correct case during parameter input, as entries are case-sensitive.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/kzp_mit_parameter_starten/kzp_designer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
